      SUBROUTINE FTEXTP
C***** EXTERNAL SUBROUTINE TO PLOT Component RESULTS
      PARAMETER(MMM=2100)
      COMMON/PLTLIM/XMIN,XMAX,YMIN,YMAX,XSCALE(2),YSCALE(2)
      COMMON/PLTLIC/NTX,NTY,NTEX
      COMMON/FUNCTN/NPAR,PARM(20),STEP(20),SCALE(20)
      COMMON/OBSDAT/NPNT,XUSE(MMM),YUSE(MMM),YUSR(MMM)
      COMMON/CALDAT/YCALC(MMM),F(MMM),IITER
      COMMON/REDITC/XOBS(MMM),YOBS(MMM),YROBS(MMM),YER(MMM),NDIN
      COMMON/INDIFC/FNAME
      COMMON/TITLES/NAMES(20),TX,TY
      COMMON/CHICHI/RF,RFOLD,CHI,CHIOLD,PROB,NFREE,NFITNO
      COMMON/TITLEX/EXTRAT
      COMMON/EXTPC/YY(MMM,5),YYIN(4),INPK
c***** other commons with useful data are
      COMMON/EXTPLT/XPL(200),YPL(200),WERR(200),WRK(200),NEXTRA
      COMMON/FITLIM/XLIMS(6),NSET,MINF,MAXF,NFIT
c***** which have the x range limits "O", and extrapolated values
      CHARACTER*8 NAMES
      CHARACTER*20 TX,TY
      CHARACTER*20 FNAME
      CHARACTER NTX*20,NTY*20,NTEX*50,NTDUM*50,EXTRAT*50
      CHARACTER*1 ANS
      CHARACTER PNAM*4
      CHARACTER*100 PLTXT(4),BTXT
      CHARACTER*4 PTYP(4),ACTTYP
      CHARACTER*6 COLS(4)
      INTEGER MAPCOL(4)
      REAL YLOC(MMM),FLOC(MMM),YDIF(MMM)
      DATA MAPCOL/2,3,4,6/
      DATA PTYP/'GAUS','LOR_','Voig','SkwG'/
      DATA COLS/'red   ','green ','blue  ','pink  '/
      PLTXT(1)=' '
      PLTXT(2)=' '
      PLTXT(3)=' '
      PLTXT(4)=' '
      BTXT=' '
      NTDUM=' '
C***** perform calculation for all points once again
      CALL CALSKP(NPAR,PARM,NDIN,XOBS,YOBS,YROBS,YCALC,F)
      OFFSET=0.8*(YSCALE(2)-YSCALE(1))+YSCALE(1)
C***** Difference 
      DO 6000 I=1,NDIN
      YDIF(I)=OFFSET+YCALC(I)-YOBS(I)
      YY(I,1)=YY(I,1)+YY(I,5)
      YY(I,2)=YY(I,2)+YY(I,5)
      YY(I,3)=YY(I,3)+YY(I,5)
      YY(I,4)=YY(I,4)+YY(I,5)
C***** PLot components on top of notional background
6000  CONTINUE
C***** Load up titles
      LIN=0
      IPARAT=5
      DO 7000 I=1,4
      IF(YYIN(I).EQ.0.) GO TO 7000
C***** Component absent
      LIN=LIN+1
      ITYPX=PARM(IPARAT)
      ACTTYP=' '
      IF(ITYPX.GT.0.AND.ITYPX.LE.4) ACTTYP=PTYP(ITYPX)
      WRITE(PLTXT(LIN),7001) ACTTYP,
     1NAMES(IPARAT+1),PARM(IPARAT+1),
     1NAMES(IPARAT+2),PARM(IPARAT+2),
     1NAMES(IPARAT+3),PARM(IPARAT+3),
     1NAMES(IPARAT+4),PARM(IPARAT+4),COLS(I)
7001  FORMAT(A4,4(1X,A8,F10.5),2X,A6)
      IPARAT=IPARAT+5
7000  CONTINUE
      IF(CHI.NE.0.) WRITE(BTXT,7010)NFITNO,CHI
7010  FORMAT(' FIT #',I3,40X,'CHISQUARED ',F8.2)
C***** Graph out
C***** Frame and text
      IER=0
      CALL RSPLT(XSCALE,YSCALE,YSCALE,2,0,IER,NTDUM,NTY,NTDUM)
C***** Data points
      CALL RSPLT(XOBS,YOBS,YROBS,NDIN,-2,IER,NTX,NTY,NTEX)
C***** Fit
      CALL RSPLT(XOBS,YCALC,YCALC,NDIN,-100,IER,NTX,NTY,NTEX)
C***** Difference
      CALL RSPLT(XOBS,YDIF,YDIF,NDIN,-100,IER,NTX,NTY,NTEX)
C***** First component red
      CALL PGQCI(IOLD)
C***** Save initial colours
      DO 7500 I=1,4
      IF(YYIN(I).EQ.0.) GO TO 7500
      CALL PGSCI(MAPCOL(I))
      IF(YYIN(1).NE.0)
     1CALL RSPLT(XOBS,YY(1,I),YY(1,I),NDIN,-100,
     1IER,NTX,NTY,NTEX)
7500  CONTINUE
      CALL PGSCI(IOLD)
C***** Background
      CALL RSPLT(XOBS,YY(1,3),YY(1,3)
     1,NDIN,-200,IER,NTX,NTY,NTEX)
c***** titles
      CALL PGMTXT('T',7.,-.1,0.,NTEX)
      CALL PGMTXT('T',5.,-.1,0.,PLTXT(1))      
      CALL PGMTXT('T',4.,-.1,0.,PLTXT(2))
      CALL PGMTXT('T',3.,-.1,0.,PLTXT(3))      
      CALL PGMTXT('T',2.,-.1,0.,PLTXT(4))
      CALL PGMTXT('B',3.5,-.1,0.,EXTRAT)      
      CALL PGMTXT('B',2.5,0.0,0.5,NTX)
      CALL PGMTXT('T',.75,0.5,0.5,BTXT)
      WRITE(6,300)
      CALL PGSCI(IOLD)
300   FORMAT(' PostScript Output (Y/N) : ',$)
      READ(5,301,END=302) ANS
301   FORMAT(A1)
302   CONTINUE
      IF(ANS.EQ.'Y'.OR.ANS.EQ.'y') GO TO 303
      RETURN
303   CONTINUE
      CALL PGNSEL(2,LAST,IER)
C***** Graph out
C***** FRAME AND TEXT
      IER=0
      CALL RSPLT(XSCALE,YSCALE,YSCALE,2,0,IER,NTDUM,NTY,NTDUM)
C***** Data points
      CALL RSPLT(XOBS,YOBS,YROBS,NDIN,-2,IER,NTX,NTY,NTEX)
C***** Fit
      CALL RSPLT(XOBS,YCALC,YCALC,NDIN,-100,IER,NTX,NTY,NTEX)
C***** Difference
      CALL RSPLT(XOBS,YDIF,YDIF,NDIN,-100,IER,NTX,NTY,NTEX)
      CALL PGQCI(IOLD)
      DO 7600 I=1,4
      IF(YYIN(I).EQ.0.) GO TO 7600
      CALL PGSCI(MAPCOL(I))
      IF(YYIN(1).NE.0)
     1CALL RSPLT(XOBS,YY(1,I),YY(1,I),NDIN,-100,
     1IER,NTX,NTY,NTEX)
7600  CONTINUE
      CALL PGSCI(IOLD)
C***** Background
      CALL RSPLT(XOBS,YY(1,3),YY(1,3)
     1,NDIN,-200,IER,NTX,NTY,NTEX)
C***** Titles
      CALL PGMTXT('T',7.,-.1,0.,NTEX)
      CALL PGMTXT('T',5.,-.1,0.,PLTXT(1))      
      CALL PGMTXT('T',4.,-.1,0.,PLTXT(2))      
      CALL PGMTXT('T',3.,-.1,0.,PLTXT(3))      
      CALL PGMTXT('T',2.,-.1,0.,PLTXT(4))
      CALL PGMTXT('B',3.5,-.1,0.,EXTRAT)      
      CALL PGMTXT('B',2.5,0.5,0.5,NTX)
      CALL PGMTXT('T',.75,0.5,0.5,BTXT)
      CALL PGNSEL(LAST,LLAST,IER)
      RETURN
      END
