@echo off
rem Visual Fortran environment variable batch file
rem
set DF_TOOLS=MSVC
set CPU=i386
if "%PROCESSOR_ARCHITECTURE%"=="ALPHA" set CPU=ALPHA
rem
rem Root of Developer Studio installed files
rem
set MSDevDir=C:\Program Files\Microsoft Visual Studio\Common\Msdev98
set ToolsDir=C:\Program Files\Microsoft Visual Studio\Common\Tools

rem
rem Root of Visual Fortran installed files
rem
set DFDir=C:\Program Files\Microsoft Visual Studio\DF98
set VCDir=C:\Program Files\Microsoft Visual Studio\VC98
rem
rem Root of Array Visualizer installed files
rem
set AVDir=C:\Program Files\ArrayVisualizer
rem
rem Root of IMSL installed files
rem
set IMSLNT_F90=C:\Program Files\Microsoft Visual Studio\DF98\IMSL

rem
rem Root of Visual Fortran files on CD-ROM
rem NOTE: Comment out the following lines if you do not want to
rem       include the CD-ROM in the environment
rem
rem if exist H:\X86\DF\BIN\DECFOR90.EXE goto setcdrom
rem echo *** WARNING ***  Visual Fortran kit files are not in the expected
rem echo *** WARNING ***  location - H:\X86
:setcdrom
rem set DFcdrom=H:\X86

rem
rem OpSys is used to help create either a Windows 95 or
rem   Windows NT specific path
rem
if "%OS%" == "Windows_NT" goto setnt
set OpSys=WIN95
goto setenv

:setnt
set OpSys=WINNT

:setenv

rem
echo Setting environment for using Visual Fortran tools
rem

if "%DFcdrom%" == "" goto main
rem
rem Include CD-ROM files in the environment
rem
if "%OpSys%" == "WINNT" set PATH=%DFcdrom%\DF\BIN;%DFcdrom%\VC\BIN;%DFcdrom%\TOOLS;%DFcdrom%\TOOLS\%OpSys%;%PATH%
if "%OpSys%" == "WIN95" set PATH="%DFcdrom%\DF\BIN";"%DFcdrom%\VC\BIN";"%DFcdrom%\TOOLS";"%DFcdrom%\TOOLS\%OpSys%";"%PATH%"
set INCLUDE=%DFcdrom%\DF\INCLUDE;%DFcdrom%\VC\INCLUDE;%INCLUDE%
set LIB=%DFcdrom%\DF\LIB;%DFcdrom%\VC\LIB;%LIB%
if not exist %DFcdrom%\DF\IMSL\INCLUDE\IMSL.F90 goto notprocd
set INCLUDE=%DFcdrom%\DF\IMSL\INCLUDE;%INCLUDE%
set LIB=%DFcdrom%\DF\IMSL\LIB;%LIB%
set VNI_F90_MSG=%DFcdrom%\DF\IMSL\MESSAGE
set LINK_F90=smaths.lib smathd.lib sstats.lib sstatd.lib sf90mp.lib
:notprocd
set DFcdrom=

:main
if "%OpSys%" == "WINNT" set PATH=%MSDevDir%\BIN;%DFDir%\BIN;%VCDir%\BIN;%ToolsDir%;%ToolsDir%\%OpSys%;%PATH%
if "%OpSys%" == "WIN95" set PATH="%MSDevDir%\BIN";"%DFDir%\BIN";"%VCDir%\BIN";"%ToolsDir%";"%ToolsDir%\%OpSys%";"%PATH%"
set INCLUDE=%DFDir%\INCLUDE;%VCDir%\INCLUDE;%INCLUDE%
set LIB=%DFDir%\LIB;%VCDir%\LIB;%LIB%

if "%AVDir%" == "" goto setimsl
set INCLUDE=%AVDir%\INCLUDE;%INCLUDE%
set LIB=%AVDir%\LIB;%LIB%

:setimsl
if "%IMSLNT_F90%" == "" goto cleanup
set INCLUDE=%IMSLNT_F90%\INCLUDE;%INCLUDE%
set LIB=%IMSLNT_F90%\LIB;%LIB%
set VNI_F90_MSG=%IMSLNT_F90%\MESSAGE
set LINK_F90=sstatd.lib sstats.lib smathd.lib smaths.lib sf90mp.lib

:cleanup
set MSDevDir=
set ToolsDir=
set DFDir=
set VCDir=
set OpSys=

rem
rem Set FPS4 environment variables
rem
set FPS_PATH=C:\MSDEV\BIN
set FPS_INCLUDE=C:\MSDEV\INCLUDE
set FPS_LIB=C:\MSDEV\LIB

rem Setting environment for using Visual Fortran PGPLOT with GrWnd

rem to use from command line
rem f90 PROGRAM.F %pgflag%

set PGFLAG=%PGPLOT_DIR%PGPLOT6GW.LIB kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo 

